### Signal

# Soup Server::request-started

#### Declaration

    void
    request_started (
      SoupServer* self,
      SoupServerMessage* message,
      gpointer user_data
    )

#### Description [src]

Emitted when the server has started reading a new request.

`message` will be completely blank; not even the Request-Line will have been read yet. About the only thing you can usefully do with it is connect to its signals.

If the request is read successfully, this will eventually be followed by a [signal@Server::request_read signal]. If a response is then sent, the request processing will end with a `SoupServer::request-finished` signal. If a network error occurs, the processing will instead end with `SoupServer::request-aborted`.

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`message` | `SoupServerMessage`
| The new message.
| The data is owned by the caller of the function.